Subject: Re: bug#62620: 30.0.50; Unused unwind-protect in verilog-mode

From: Basil Contovounesios <[email-masked]>
Date: Tue, 18 Apr 2023 11:25:07 +0100

close 62620 30.1
quit

Mattias Engdegård [2023-04-04 11:57 +0200] wrote:

> 2 apr. 2023 kl. 18.39 skrev Basil Contovounesios <[email-masked]>:
>
>> -    (with-temp-buffer "*Verilog-Diff*"
>
> That's a nice catch. I didn't find any other instance of that particular mistake in Emacs; there is one in GNU ELPA (sketch-mode.el).

Thanks for checking.
I can submit a patch there later if no-one beats me to it.

> (The patch looks superficially fine to me but I haven't actually tested it.)

Thanks, now pushed:

Fix verilog-diff-file-with-buffer
0d2fdf6e36d 2023-04-18 11:14:38 +0100
https://git.sv.gnu.org/cgit/emacs.git/commit/?id=0d2fdf6e36d

Hopefully Wilson gets a chance to look at and upstream the patch soon.

-- 
Basil